from setuptools import setup
from pathlib import Path

LONG_DESCRIPTION = Path.joinpath(Path(__file__).parent, "README.md").read_text()

exec(open('animo_trainer/version.py').read())
setup(
    name="animo_trainer",
    version=__version__, #type: ignore
    description="Animo Trainer",
    long_description=LONG_DESCRIPTION,
    license_files = ('LICENSE.txt',),
    license="Copyright (c) 2023 Transitional Forms Inc. All Rights Reserved.",
    author="Transitional Forms",
    author_email="dante@transforms.ai",
    url="https://transforms.ai/",
    packages=['animo_trainer'],
    include_package_data=True,
    python_requires=">=3.9,<3.10",
    entry_points={
        "console_scripts": [
            "animo-learn=animo_trainer.main:main",
        ],
    },
    install_requires=[
        "absl-py==2.0.0",
        "attrs==23.1.0",
        "cachetools==5.3.1",
        "cattrs==1.5.0",
        "certifi==2023.7.22",
        "cffi==1.15.1",
        "charset-normalizer==3.2.0",
        "cloudpickle==2.2.1",
        "clr-loader==0.2.6",
        "filelock==3.12.4",
        "google-auth==2.23.0",
        "google-auth-oauthlib==1.0.0",
        "grpcio==1.58.0",
        "gym==0.26.2",
        "gym-notices==0.0.8",
        "h5py==3.9.0",
        "idna==3.4",
        "importlib-metadata==6.8.0",
        "Markdown==3.4.4",
        "MarkupSafe==2.1.3",
        "mlagents==0.30.0",
        "mlagents-envs==0.30.0",
        "numpy==1.21.2",
        "oauthlib==3.2.2",
        "PettingZoo==1.15.0",
        "Pillow==10.0.1",
        "pip==22.0.4",
        "protobuf==3.20.3",
        "psutil==5.9.5",
        "pyasn1==0.5.0",
        "pyasn1-modules==0.3.0",
        "pycparser==2.21",
        "pythonnet==3.0.1",
        "torch==1.11.0",
        "PyYAML==6.0.1",
        "requests==2.31.0",
        "requests-oauthlib==1.3.1",
        "rsa==4.9",
        "setuptools==68.2.2",
        "six==1.16.0",
        "tensorboard==2.14.0",
        "tensorboard-data-server==0.7.1",
        "typing_extensions==4.8.0",
        "urllib3==1.26.16",
        "Werkzeug==2.3.7",
        "wheel==0.41.2",
        "zipp==3.17.0",
    ]
)
